### Method

# Gtk CellAreaContextpush_preferred_width

deprecated: 4.10

#### Declaration [src]

    void
    gtk_cell_area_context_push_preferred_width (
      GtkCellAreaContext* context,
      int minimum_width,
      int natural_width
    )

#### Description [src]

Causes the minimum and/or natural width to grow if the new proposed sizes exceed the current minimum and natural width.

This is used by `GtkCellAreaContext` implementations during the request process over a series of `GtkTreeModel` rows to progressively push the requested width over a series of `gtk_cell_area_get_preferred_width()` requests.

Deprecated since: 4.10

This object will be removed in GTK 5

#### Parameters

`minimum_width`

  Type: `int`

  The proposed new minimum width for `context`.

`natural_width`

  Type: `int`

  The proposed new natural width for `context`.